Bug 83048 - Time zone is UTC although America\Chicago is configured.
Time zone is UTC although America\Chicago is configured.
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-01-29 14:51 EST by Cheryl Jones
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-03 06:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cheryl Jones 2003-01-29 14:51:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
The system time and the hardware time are correct, but when the time is passed to Squirrelmail the timestamp on all email is +6 hours.

The date command shows the time zone as UTC even though America\Chicago (CST) has been set with the dateconfig utility.  The 'This machine uses UTC' check box is not selected.  The file for the time zone, /usr/share/zoneinfo/America/Chicago, registers 0 kb as does the file for CST (/usr/share/zoneinfo/US/Central).

Output using date command:
Wed Jan 29 13:42:24 UTC 2003

Expected Output:
Wed Jan 29 13:42:24 CST 2003

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:

Additional info:
Comment 1 Ulrich Drepper 2003-04-22 04:01:00 EDT
If you cannot reproduce this problem outside of this unsupported package I see
no way to handle it.  In fact, I doubt that you can reproduce it outside, time
handling works just fine for everybody else.  I suspect this is either some
screwup in your configuration or (more likely) a programming error in this
package you are trying to use.

I would suggest you first get RHL9 and then the latest version of said package.
 And try it on a freshly installed machine.
Comment 2 Ulrich Drepper 2003-10-03 06:25:29 EDT
No reply in almost 6 months.  As I said before, this is most probably an
application problem.  Closing the bug now.

Note You need to log in before you can comment on or make changes to this bug.